//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 08:51:11 PM CET 
//


package org.tdwg.abcd3.zoology;

import jakarta.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.tdwg.abcd3.zoology package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.tdwg.abcd3.zoology
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DataSets }
     * 
     */
    public DataSets createDataSets() {
        return new DataSets();
    }

    /**
     * Create an instance of {@link Unit }
     * 
     */
    public Unit createUnit() {
        return new Unit();
    }

    /**
     * Create an instance of {@link Unit.FieldNumbers }
     * 
     */
    public Unit.FieldNumbers createUnitFieldNumbers() {
        return new Unit.FieldNumbers();
    }

    /**
     * Create an instance of {@link Gathering }
     * 
     */
    public Gathering createGathering() {
        return new Gathering();
    }

    /**
     * Create an instance of {@link Gathering.CoordinateSets }
     * 
     */
    public Gathering.CoordinateSets createGatheringCoordinateSets() {
        return new Gathering.CoordinateSets();
    }

    /**
     * Create an instance of {@link Gathering.NamedAreas }
     * 
     */
    public Gathering.NamedAreas createGatheringNamedAreas() {
        return new Gathering.NamedAreas();
    }

    /**
     * Create an instance of {@link Acquisition }
     * 
     */
    public Acquisition createAcquisition() {
        return new Acquisition();
    }

    /**
     * Create an instance of {@link Preparation }
     * 
     */
    public Preparation createPreparation() {
        return new Preparation();
    }

    /**
     * Create an instance of {@link Identification }
     * 
     */
    public Identification createIdentification() {
        return new Identification();
    }

    /**
     * Create an instance of {@link Organization }
     * 
     */
    public Organization createOrganization() {
        return new Organization();
    }

    /**
     * Create an instance of {@link Reference }
     * 
     */
    public Reference createReference() {
        return new Reference();
    }

    /**
     * Create an instance of {@link LegalStatements }
     * 
     */
    public LegalStatements createLegalStatements() {
        return new LegalStatements();
    }

    /**
     * Create an instance of {@link Label }
     * 
     */
    public Label createLabel() {
        return new Label();
    }

    /**
     * Create an instance of {@link DataSets.DataSet }
     * 
     */
    public DataSets.DataSet createDataSetsDataSet() {
        return new DataSets.DataSet();
    }

    /**
     * Create an instance of {@link DataSets.DataSet.Owners }
     * 
     */
    public DataSets.DataSet.Owners createDataSetsDataSetOwners() {
        return new DataSets.DataSet.Owners();
    }

    /**
     * Create an instance of {@link DateTime }
     * 
     */
    public DateTime createDateTime() {
        return new DateTime();
    }

    /**
     * Create an instance of {@link StringL }
     * 
     */
    public StringL createStringL() {
        return new StringL();
    }

    /**
     * Create an instance of {@link StringP }
     * 
     */
    public StringP createStringP() {
        return new StringP();
    }

    /**
     * Create an instance of {@link StringP255 }
     * 
     */
    public StringP255 createStringP255() {
        return new StringP255();
    }

    /**
     * Create an instance of {@link MetadataDescriptionRepr }
     * 
     */
    public MetadataDescriptionRepr createMetadataDescriptionRepr() {
        return new MetadataDescriptionRepr();
    }

    /**
     * Create an instance of {@link LabelRepr }
     * 
     */
    public LabelRepr createLabelRepr() {
        return new LabelRepr();
    }

    /**
     * Create an instance of {@link LegalStatement }
     * 
     */
    public LegalStatement createLegalStatement() {
        return new LegalStatement();
    }

    /**
     * Create an instance of {@link HigherTaxon }
     * 
     */
    public HigherTaxon createHigherTaxon() {
        return new HigherTaxon();
    }

    /**
     * Create an instance of {@link Permit }
     * 
     */
    public Permit createPermit() {
        return new Permit();
    }

    /**
     * Create an instance of {@link org.tdwg.abcd3.zoology.NamedArea }
     * 
     */
    public org.tdwg.abcd3.zoology.NamedArea createNamedArea() {
        return new org.tdwg.abcd3.zoology.NamedArea();
    }

    /**
     * Create an instance of {@link PreviousUnit }
     * 
     */
    public PreviousUnit createPreviousUnit() {
        return new PreviousUnit();
    }

    /**
     * Create an instance of {@link Unit.KindsOfUnit }
     * 
     */
    public Unit.KindsOfUnit createUnitKindsOfUnit() {
        return new Unit.KindsOfUnit();
    }

    /**
     * Create an instance of {@link Unit.Identifications }
     * 
     */
    public Unit.Identifications createUnitIdentifications() {
        return new Unit.Identifications();
    }

    /**
     * Create an instance of {@link Unit.Preparations }
     * 
     */
    public Unit.Preparations createUnitPreparations() {
        return new Unit.Preparations();
    }

    /**
     * Create an instance of {@link Unit.NomenclaturalTypeDesignation }
     * 
     */
    public Unit.NomenclaturalTypeDesignation createUnitNomenclaturalTypeDesignation() {
        return new Unit.NomenclaturalTypeDesignation();
    }

    /**
     * Create an instance of {@link Unit.Acquisitions }
     * 
     */
    public Unit.Acquisitions createUnitAcquisitions() {
        return new Unit.Acquisitions();
    }

    /**
     * Create an instance of {@link Unit.PreviousUnits }
     * 
     */
    public Unit.PreviousUnits createUnitPreviousUnits() {
        return new Unit.PreviousUnits();
    }

    /**
     * Create an instance of {@link Unit.FieldNumbers.FieldNumber }
     * 
     */
    public Unit.FieldNumbers.FieldNumber createUnitFieldNumbersFieldNumber() {
        return new Unit.FieldNumbers.FieldNumber();
    }

    /**
     * Create an instance of {@link Gathering.GatheringAgents }
     * 
     */
    public Gathering.GatheringAgents createGatheringGatheringAgents() {
        return new Gathering.GatheringAgents();
    }

    /**
     * Create an instance of {@link Gathering.Permits }
     * 
     */
    public Gathering.Permits createGatheringPermits() {
        return new Gathering.Permits();
    }

    /**
     * Create an instance of {@link Gathering.Altitude }
     * 
     */
    public Gathering.Altitude createGatheringAltitude() {
        return new Gathering.Altitude();
    }

    /**
     * Create an instance of {@link Gathering.CoordinateSets.CoordinateSet }
     * 
     */
    public Gathering.CoordinateSets.CoordinateSet createGatheringCoordinateSetsCoordinateSet() {
        return new Gathering.CoordinateSets.CoordinateSet();
    }

    /**
     * Create an instance of {@link Gathering.NamedAreas.NamedArea }
     * 
     */
    public Gathering.NamedAreas.NamedArea createGatheringNamedAreasNamedArea() {
        return new Gathering.NamedAreas.NamedArea();
    }

    /**
     * Create an instance of {@link Acquisition.AcquiredFrom }
     * 
     */
    public Acquisition.AcquiredFrom createAcquisitionAcquiredFrom() {
        return new Acquisition.AcquiredFrom();
    }

    /**
     * Create an instance of {@link Preparation.PreparationAgents }
     * 
     */
    public Preparation.PreparationAgents createPreparationPreparationAgents() {
        return new Preparation.PreparationAgents();
    }

    /**
     * Create an instance of {@link Identification.HigherTaxa }
     * 
     */
    public Identification.HigherTaxa createIdentificationHigherTaxa() {
        return new Identification.HigherTaxa();
    }

    /**
     * Create an instance of {@link Identification.References }
     * 
     */
    public Identification.References createIdentificationReferences() {
        return new Identification.References();
    }

    /**
     * Create an instance of {@link Identification.Identifiers }
     * 
     */
    public Identification.Identifiers createIdentificationIdentifiers() {
        return new Identification.Identifiers();
    }

    /**
     * Create an instance of {@link Organization.Divisions }
     * 
     */
    public Organization.Divisions createOrganizationDivisions() {
        return new Organization.Divisions();
    }

    /**
     * Create an instance of {@link Reference.ResourceURIs }
     * 
     */
    public Reference.ResourceURIs createReferenceResourceURIs() {
        return new Reference.ResourceURIs();
    }

    /**
     * Create an instance of {@link LegalStatements.Licenses }
     * 
     */
    public LegalStatements.Licenses createLegalStatementsLicenses() {
        return new LegalStatements.Licenses();
    }

    /**
     * Create an instance of {@link LegalStatements.Acknowledgements }
     * 
     */
    public LegalStatements.Acknowledgements createLegalStatementsAcknowledgements() {
        return new LegalStatements.Acknowledgements();
    }

    /**
     * Create an instance of {@link LegalStatements.SuggestedCitations }
     * 
     */
    public LegalStatements.SuggestedCitations createLegalStatementsSuggestedCitations() {
        return new LegalStatements.SuggestedCitations();
    }

    /**
     * Create an instance of {@link LegalStatements.OtherLegalStatements }
     * 
     */
    public LegalStatements.OtherLegalStatements createLegalStatementsOtherLegalStatements() {
        return new LegalStatements.OtherLegalStatements();
    }

    /**
     * Create an instance of {@link Label.Representation }
     * 
     */
    public Label.Representation createLabelRepresentation() {
        return new Label.Representation();
    }

    /**
     * Create an instance of {@link DataSets.DataSet.TechnicalContacts }
     * 
     */
    public DataSets.DataSet.TechnicalContacts createDataSetsDataSetTechnicalContacts() {
        return new DataSets.DataSet.TechnicalContacts();
    }

    /**
     * Create an instance of {@link DataSets.DataSet.ContentContacts }
     * 
     */
    public DataSets.DataSet.ContentContacts createDataSetsDataSetContentContacts() {
        return new DataSets.DataSet.ContentContacts();
    }

    /**
     * Create an instance of {@link DataSets.DataSet.Description }
     * 
     */
    public DataSets.DataSet.Description createDataSetsDataSetDescription() {
        return new DataSets.DataSet.Description();
    }

    /**
     * Create an instance of {@link DataSets.DataSet.Units }
     * 
     */
    public DataSets.DataSet.Units createDataSetsDataSetUnits() {
        return new DataSets.DataSet.Units();
    }

    /**
     * Create an instance of {@link DataSets.DataSet.Owners.Owner }
     * 
     */
    public DataSets.DataSet.Owners.Owner createDataSetsDataSetOwnersOwner() {
        return new DataSets.DataSet.Owners.Owner();
    }

}
